/*****************************************
 * Schieberegister
 * Wolfgang Spahn 16-dez-2014
 *****************************************/

int SER_Pin = 8;    //pin 14 des 75HC595
int RCLK_Pin = 9;   //pin 12 des 75HC595
int SRCLK_Pin = 10; //pin 11 des 75HC595

void setup(){
  pinMode(SER_Pin, OUTPUT);
  pinMode(RCLK_Pin, OUTPUT);
  pinMode(SRCLK_Pin, OUTPUT);
  Schieberegister_Aus();
}               

// alle Pins ausschalten
void Schieberegister_Aus(){
  for(int i=0; i<8; i++){
    digitalWrite(RCLK_Pin, LOW);  // Register Clock aus
    digitalWrite(SRCLK_Pin, LOW); // Serial Clock aus
    digitalWrite(SER_Pin, LOW);   // der Pin nächste wird ausgeschaltet
    digitalWrite(SRCLK_Pin, HIGH);// Serial Clock an, der Register wird weitergeschobenHier wird 
  }
  digitalWrite(RCLK_Pin, HIGH);  // Register Clock an, jetzt werden die neuen Werte angezeigt
}

// Auf den Schieberegister schreiben
void Schieberegister_Anschieben(){
  digitalWrite(RCLK_Pin, LOW);   
  digitalWrite(SRCLK_Pin, LOW);
  digitalWrite(SER_Pin, HIGH);
  digitalWrite(SRCLK_Pin, HIGH);
  digitalWrite(RCLK_Pin, HIGH);     
}

void Schieberegister_Ausschieben(){
  digitalWrite(RCLK_Pin, LOW);
  digitalWrite(SRCLK_Pin, LOW);
  digitalWrite(SER_Pin, LOW);
  digitalWrite(SRCLK_Pin, HIGH);
  digitalWrite(RCLK_Pin, HIGH);
}

void loop(){
  for(int i=0; i<8; i++){         // 8 mal
    Schieberegister_Anschieben(); // Led an und weiterschieben
    delay(200);                   // warten
  }
  for(int i=0; i<8; i++){         // 8 mal
    Schieberegister_Ausschieben();// LED aus und weiterschieben
    delay(200);                   // warten
  }
}





